version: "3.8"

services:

  api:
    build: api
    image: 'registry.gitlab.com/koustry-epitech/msc-1/pictsmanager_2021_05/api'
    container_name: t_dev_api
    ports:
      - "8000:8000"
    networks:
      - backend
    restart: unless-stopped

  api_db:
    image: mongo:4.2
    container_name: t_dev_api_database
    environment:
      - "MONGO_INITDB_ROOT_USERNAME=admin"
      - "MONGO_INITDB_ROOT_PASSWORD=passwd"
      - "MONGO_INITDB_DATABASE=picts_manager_db"
    ports:
      - "27017:27017"
    volumes:
      - db_volume:/data/db
    networks:
      - backend

  api_db_admin:
    image: mongo-express
    restart: always
    ports:
      - 8081:8081
    environment:
      - "ME_CONFIG_MONGODB_ADMINUSERNAME=admin"
      - "ME_CONFIG_MONGODB_ADMINPASSWORD=passwd"
      - "ME_CONFIG_MONGODB_SERVER=api_db"
      - "ME_CONFIG_BASICAUTH_USERNAME=admin"
      - "ME_CONFIG_BASICAUTH_PASSWORD=passwd"
    networks:
      - backend

  mobileapp:
    build: mobileapp
    image: 'registry.gitlab.com/koustry-epitech/msc-1/pictsmanager_2021_05/mobileapp'
    container_name: t_dev_mobileapp
    ports:
      - "8001:80"
    restart: unless-stopped

volumes:
  db_volume:
    name: t_dev_api_database_volume

networks:
  backend:
    name: t_dev_backend_network
